import os
import pygame
import random
import glob

images = []
image_index = 0
photo = pygame.Surface((1280,720))
trigger = False


def setup(screen, etc):
    global images, image_index

    image_index = 0
    
    for filepath in sorted(glob.glob(etc.mode_root + '/Images/*.png')): 
        filename = os.path.basename(filepath)
        print 'loading image file: ' + filename
        img = pygame.image.load(filepath)
        img = img.convert()
        images.append(img)

def draw(screen, etc):
    global images, image_index, trigger 
    
    #knob1 = scales x & y dimensions of image
    #knob2 = sets alpha (transparency) of image (pygame 'surface') if line 52 is uncommented
    #knob3 = n/a
    #knob4 = n/a
    #knob5 = background color picker
    #EYESY trigger button = displays other image in folder
    
    
    #Set background color picker to knob5  
    etc.color_picker_bg(etc.knob5)  
    
    #Use Trigger to Cycle Through Images in 'Images' folder
    if etc.audio_trig or etc.midi_note_new :
        trigger = True
        
    if trigger == True :
        image_index += 1
    image_index = image_index % len(images)
    image = images[image_index]
    trigger = False

    #Scale Image 
    xr = int(etc.xres*etc.knob1) #scale to x-dimension of video output
    yr = int(etc.yres*etc.knob1) #scale to y-dimension of video output
    photo = pygame.transform.scale(image, (xr, yr))

    #Print Image to Screen (aka 'blit')
    #photo.set_alpha(int(etc.knob2*255)) #this is fun to uncomment
    screen.blit(photo, (etc.xres/2 - xr/2, etc.yres/2 - yr/2))
    